Subject: Re: [PATCH] powerpc/lpar - defer prefered console setup

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 29 Jul 2008 19:00:47 +1000

On Tue, 2008-07-29 at 10:07 +0200, Bastian Blank wrote:
> > Hrm... we do most of the console discovery from console_initcall for
> > legacy UARTs. see the code in legacy_serial.c, we just avoid doing
> > the add_preferred_console() thingy if there's a console= on the
> command
> > line :-)
> 
> The code did that, but the check was removed because it trips on
> netconsole=. See 5faae2e5d1f53df9dce482032c8486bc3a1feffc.

Argh. That's a mess. Well, legacy_serial still does that :-)

Ben.